import { useAuth } from '@/hooks/useAuth'
import { useRouter } from 'expo-router'
import { FAB, List, Surface } from 'react-native-paper'

export default function HistoryScreen() {
  const router = useRouter()
  const auth = useAuth()
  return (
    <Surface
      style={{ flex: 1 }}>
      <List.Item
          title="Connexion au serveur"
          description={auth.loggedIn ? "Vous êtes déjà connecté⋅e" : "Vous n'êtes pas connecté⋅e"}
          right={() => <FAB icon="login" size="small" onPress={() => router.navigate('/login')} />}
          onPress={() => router.navigate('/login')} />
    </Surface>
  )
}
